Исключение: невозможно получить содержимое ошибки ubiquity-frontend-gtk при запуске python rtupdate hook ubiquity-frontend-gtk

http://www.ubuntu.com/project/about-ubuntu/licensing

Согласно этой ссылке Ubuntu представляет собой набор из нескольких компьютерных программ, и каждый из них может другая лицензия.

Насколько я знаю, базовое ядро ​​Linux выпущено в GNU GPL версии 2:

http://www.ubuntu.com/project / about-ubuntu / licensing

И если вы хотите найти лицензионное соглашение для каждой из этих программ, вы можете найти его на машине Ubuntu в этом месте:

/usr/share/doc/*/copyright

1
задан 14 February 2014 в 18:17

3 ответа

Ваша система находится в довольно хрупком состоянии, и если вы делаете что-то не так, вам может потребоваться переустановить систему. Поэтому прежде всего сделайте резервную копию всей важной информации. Теперь давайте сначала разберемся с вашей проблемой:

  1. Слишком много не полностью установленных пакетов:

    77 не полностью установлены или удалены.

    Это довольно озабоченно.

  2. ошибка при запуске python rtupdate hook ubiquity-frontend-gtk

    Это означает, что это действительно плохо. Но все же это не объясняет, почему у вас есть пакет, связанный с повсеместностью. Поэтому я бы порекомендовал вам удалить его.

  3. Ад зависимостей!

    Есть много:

    Пакет python3 еще не настроен

    Python является одним из самых важные пакеты в любой установке Ubuntu. Большая часть системы построена на python, и если у этого пакета проблемы, очень вероятно, что вы находитесь в неисправимом состоянии.

Решение.

Есть способы сделать ковровую бомбардировку, пытаясь исправить вашу установку, но если меня нет рядом с системой, я бы порекомендовал всем это сделать. Самый простой способ исправить это - переустановить систему после выполнения резервных копий, убедиться, что диск в хорошем состоянии, и установить Ubuntu поверх.

0
ответ дан 14 February 2014 в 18:17

В конце концов, все, что нужно было сделать, это установить пакет ubiquity-frontend-gtk. Как только это будет сделано, python3 больше не будет умирать во время его конфигурации, и с его помощью оставшиеся 76 пакетов могут быть установлены. После этого я удалил пакет ubiquity.

0
ответ дан 14 February 2014 в 18:17

Для тех, у кого такая же проблема:

Установка пакета ubiquity-frontend-gtk позволила решить мои проблемы с зависимостями при установке драйверов принтера Epson workforce WF-3520.

0
ответ дан 14 February 2014 в 18:17

Другие вопросы по тегам:

Похожие вопросы: